Bug 439957 - cancel tasks
cancel tasks
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 23:24 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 03:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-03-31 23:24:30 EDT
Description of problem:

There is no way to cancel tasks once initiated. What happens when you decide to
install a package and then realize it is large. ex: openarena. Worse, if i queue
tasks and decide I want to cancel the one in the middle to get the other ones
done, I can't do that either.
Comment 1 Richard Hughes 2008-04-01 06:44:31 EDT
You can do that if you click on the icon in the system tray. No?
Comment 2 Rahul Sundaram 2008-04-01 07:07:18 EDT
Didn't work for me or maybe I didn't understand what to do. If I have a list of
tasks queued or just one, I want to be able to selectively cancel any task.
Comment 3 Richard Hughes 2008-04-01 14:28:25 EDT
Yes, you can do that now. If you make sure you are running gpk-update-icon and
then any tasks are on the drop down. If you click the task, it will show it's
status and allow you to cancel it.
Comment 4 Rahul Sundaram 2008-04-05 08:49:19 EDT
We aren't really talking about the same thing. When the update applet pops up in
the sys tray showing updates, click update system and watch the updates proceed.
Realize that you actually want to leave out some updates and try to cancel it.
Click on sys try icon, there is no cancel button. That's what i was looking for. 
Comment 5 Bug Zapper 2008-05-14 04:29:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Richard Hughes 2008-05-20 04:55:16 EDT
Don't you get a new icon with the PK status and the queued jobs?
Comment 7 Rahul Sundaram 2008-05-20 11:54:11 EDT
Yes, that does work now. The interface isn't very obvious but I don't have any
immediate ideas on how to improve that. Feel free to close this bug. 

Note You need to log in before you can comment on or make changes to this bug.